---
title: Delete a derived metric
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Metrics
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Delete a derived metric{% #delete-a-derived-metric %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                                                      |
| ----------------- | --------------------------------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/metrics/derived-metrics/{metric_name} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/metrics/derived-metrics/{metric_name} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/metrics/derived-metrics/{metric_name}      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/metrics/derived-metrics/{metric_name}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/metrics/derived-metrics/{metric_name}  |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/metrics/derived-metrics/{metric_name} |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/metrics/derived-metrics/{metric_name}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/metrics/derived-metrics/{metric_name} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/metrics/derived-metrics/{metric_name} |

### Overview

Delete a derived metric by name. Idempotent: returns 204 regardless of whether the derived metric existed. Requires the `Manage Tags for Metrics` permission. This endpoint requires the `metric_tags_write` permission.

OAuth apps require the `metric_tags_write` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#metrics) to access this endpoint.



### Arguments

#### Path Parameters

| Name                          | Type   | Description             |
| ----------------------------- | ------ | ----------------------- |
| metric_name [*required*] | string | The name of the metric. |

### Response

{% tab title="204" %}
No Content
{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export metric_name="dist.http.endpoint.request" \# Use a Personal Access Token or Service Access Token export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"  \# Curl command curl -X DELETE "https://api.datadoghq.com/api/v2/metrics/derived-metrics/${metric_name}" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}" 

                
{% /tab %}
